<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__pool__statistics__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_pool_statistics_t</compoundname>
    <includes local="no">wiced_memory.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__pool__statistics__t_1ab220c8b693a2bfc51b52879ab88392f9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_pool_statistics_t::pool_size</definition>
        <argsstring />
        <name>pool_size</name>
        <briefdescription>
<para>pool buffer size </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" bodystart="40" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" line="40" />
      </memberdef>
      <memberdef id="structwiced__bt__pool__statistics__t_1abb7db25249e9d35d5043ab0ef08eaab4" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_pool_statistics_t::pool_count</definition>
        <argsstring />
        <name>pool_count</name>
        <briefdescription>
<para>total number of buffers created in the pool </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" bodystart="41" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" line="41" />
      </memberdef>
      <memberdef id="structwiced__bt__pool__statistics__t_1ae42c49b45b4bb653f63ed1901bdb280f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_pool_statistics_t::current_allocated_count</definition>
        <argsstring />
        <name>current_allocated_count</name>
        <briefdescription>
<para>number of buffers currently allocated </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" bodystart="42" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" line="42" />
      </memberdef>
      <memberdef id="structwiced__bt__pool__statistics__t_1ad12406f0b61dfffaf236693ed74db597" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_pool_statistics_t::max_allocated_count</definition>
        <argsstring />
        <name>max_allocated_count</name>
        <briefdescription>
<para>maximum number of buffers ever allocated </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" bodystart="43" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" line="43" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>wiced bt buffer pool statistics </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="44" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" bodystart="38" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_memory.h" line="39" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__pool__statistics__t_1ae42c49b45b4bb653f63ed1901bdb280f" virt="non-virtual"><scope>wiced_bt_pool_statistics_t</scope><name>current_allocated_count</name></member>
      <member prot="public" refid="structwiced__bt__pool__statistics__t_1ad12406f0b61dfffaf236693ed74db597" virt="non-virtual"><scope>wiced_bt_pool_statistics_t</scope><name>max_allocated_count</name></member>
      <member prot="public" refid="structwiced__bt__pool__statistics__t_1abb7db25249e9d35d5043ab0ef08eaab4" virt="non-virtual"><scope>wiced_bt_pool_statistics_t</scope><name>pool_count</name></member>
      <member prot="public" refid="structwiced__bt__pool__statistics__t_1ab220c8b693a2bfc51b52879ab88392f9" virt="non-virtual"><scope>wiced_bt_pool_statistics_t</scope><name>pool_size</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>